import pandas as pd
import numpy as np
from trading.stock_trading_env import StockTradingEnv  # 올바른 모듈 사용


def backtest_strategy(data, model):
    env = TradingEnv(data)
    state = env.reset()
    total_reward = 0
    done = False

    while not done:
        state = state.reshape(1, -1)  # 상태를 모델이 예측할 수 있는 형식으로 변환
        action = np.argmax(model.predict(state))
        next_state, reward, done, _ = env.step(action)
        total_reward += reward
        state = next_state

    return total_reward
class Backtester:
    def __init__(self, model, data):
        self.model = model
        self.data = data

    def run_backtest(self):
        # 백테스트 로직을 여기서 구현합니다.
        pass
